
package org.sky.scientific.wrapper;

import org.sky.core.mp.support.BaseEntityWrapper;
import org.sky.core.tool.utils.BeanUtil;
import org.sky.scientific.pojo.entity.XmEntity;
import org.sky.scientific.pojo.vo.XmVO;
import java.util.Objects;

/**
 * 科研项目 包装类,返回视图层所需的字段
 *
 * @author Kd
 * @since 2025-06-29
 */
public class XmWrapper extends BaseEntityWrapper<XmEntity, XmVO> {

	public static XmWrapper build() {
		return new XmWrapper();
 	}

	@Override
	public XmVO entityVO(XmEntity xm) {
		XmVO xmVO = Objects.requireNonNull(BeanUtil.copyProperties(xm, XmVO.class));

		//查询项目负责人姓名


		return xmVO;
	}


}
